Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.filter
Interface BinaryComparisonOperator

All Superinterfaces:
  Filter

All Known Subinterfaces:
  PropertyIsEqualTo, PropertyIsGreaterThan, PropertyIsGreaterThanOrEqualTo, PropertyIsLessThan, PropertyIsLessThanOrEqualTo, PropertyIsNotEqualTo

    @XmlElement(value="BinaryComparisonOpType")
    public interface BinaryComparisonOperator

extends Filter

Abstract base class for filters that compare exactly two values against each other. The nature of the comparison is dependent on the subclass.

Since:
  GeoAPI 2.0
Version:
  Implementation specification 1.0

Field Summary

Fields inherited from interface Filter
`EXCLUDE, INCLUDE`

Method Summary
`Expression` | `getExpression1()` Returns the first of the two expressions to be compared by this operator.
`Expression` | `getExpression2()` Returns the second of the two expressions to be compared by this operator.
`boolean` | `isMatchingCase()` Flag controlling wither comparisons are case sensitive.

Methods inherited from interface Filter
`accept, evaluate`

Method Detail

### getExpression1

    @XmlElement(value="expression")
    Expression getExpression1()

  Returns the first of the two expressions to be compared by this operator.

### getExpression2

    @XmlElement(value="expression")
    Expression getExpression2()

  Returns the second of the two expressions to be compared by this operator.

### isMatchingCase

    @XmlElement(value="matchCase")
    boolean isMatchingCase()

  Flag controlling wither comparisons are case sensitive.

  Returns:
    `true` if the comparison is case sensetive, otherwise `false`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.